MP2 Alpha 4 Server - Installation fails (MP2-server) failed to start

Discussion in 'General' started by GvT, January 26, 2014.

  1. GvT

    GvT Portal Member

    Joined:
    April 27, 2013
    Messages:
    17
    Likes Received:
    0
    Ratings:
    +0 / 0
    Home Country:
    Germany Germany
    Hello,

    I just tried to install MP2 Alpha 4 on by HTPC.

    Installing "single seat" failed with the message "MP2-server failed to start" and further on told me to check my privileges. So I openede the "DOS Shell" as administrator and used msiexec in order to install again, this time the server only. Same result.

    I generated a log file for investigation, see attached file.

    System Setup:
    Clean Windows 7 Professional (recently fresh installed)
    with: Mediaportal 1.6.0 installation

    Hope this helps solving the problem, until then I will continue using MP1.



    Cheers and Thanks
    Georg
     
  2. Google AdSense Guest Advertisement



    to hide all adverts.
  3. morpheus_xx
    • Team MediaPortal

    morpheus_xx Lead Dev MP2

    Joined:
    March 24, 2007
    Messages:
    11,017
    Likes Received:
    4,749
    Ratings:
    +6,795 / 11
    Home Country:
    Germany Germany
    Show System Specs
    Strange issue. Can you also post your "C:\ProgramData\Team MediaPortal\MP2-Server\Log\Server.log" file? It should be there, as the try to start the service should create log entries.
     
  4. GvT

    GvT Portal Member

    Joined:
    April 27, 2013
    Messages:
    17
    Likes Received:
    0
    Ratings:
    +0 / 0
    Home Country:
    Germany Germany
    Hello Morpheus_xx,

    thank you for the quick response.

    Unfortunately there is no directory MP2-Server
    in C:\ProgramData\Team MediaPortal\

    Is it possible that this directory got deleted during rollback?

    Greetings
    Georg
     
  5. KRA

    KRA Portal Pro

    Joined:
    July 5, 2005
    Messages:
    145
    Likes Received:
    5
    Ratings:
    +5 / 0
    Home Country:
    Norway Norway
    Install net 4.5
     
  6. GvT

    GvT Portal Member

    Joined:
    April 27, 2013
    Messages:
    17
    Likes Received:
    0
    Ratings:
    +0 / 0
    Home Country:
    Germany Germany
    Hello,

    Thank you!

    After installing Net 4.5 Framework MP2 Alpha 4 installed without any problems.

    SOLVED.

    Will a warning during install implemented?

    Greetings
    Georg
     
  7. breese
    • Premium Supporter

    breese Retired Team Member

    Joined:
    July 11, 2011
    Messages:
    3,903
    Likes Received:
    325
    Gender:
    Male
    Occupation:
    Sr. Systems Engineer
    Location:
    Arlington Heights, Illinois
    Ratings:
    +768 / 0
    Home Country:
    United States of America United States of America
    Show System Specs
    http://wiki.team-mediaportal.com/2_..._Installing_MediaPortal_2#System_Requirements
    MediaPortal 2 specific requirements
    [​IMG]

    MediaPortal 2 is developed to run on modern operating systems and supports only Windows 7 in both 32 and 64 bit versions. Older operating systems are not officially supported.
    You need the most current DirectX 9 runtime installed, which you can download here: http://www.microsoft.com/download/en...ang=en&id=8109 (June 2010).
    Starting with MediaPortal Alpha 4 you need .NET Framework 4.5.1 Full (http://www.microsoft.com/en-us/download/details.aspx?id=40779)
     
  8. morpheus_xx
    • Team MediaPortal

    morpheus_xx Lead Dev MP2

    Joined:
    March 24, 2007
    Messages:
    11,017
    Likes Received:
    4,749
    Ratings:
    +6,795 / 11
    Home Country:
    Germany Germany
    Show System Specs
    The current Installer should already complain about missing .NET 4.5, but it cannot distinguish it from .NET 4.5.1 (without additional changes).

    There is already work in progress to improve installer.
     
  9. GvT

    GvT Portal Member

    Joined:
    April 27, 2013
    Messages:
    17
    Likes Received:
    0
    Ratings:
    +0 / 0
    Home Country:
    Germany Germany
    Hello everybody,

    I installed MP2 A4 on another PC, and there I got the message: install .Net 4.5.1 first. This message helped. Apparently my HTPC was allready "preloaded".

    Hope this thread helps others to solve this issue.
    Thank you for all the prompt answers.
    I could have found this in the instructions, for a final release I would expect a warning, not for an alpha release.

    Many greetings,
    and all my thanks to all the developers involved in MP. I really enjoy using it!

    Greetings
    Georg
     
Loading...

Users Viewing Thread (Users: 0, Guests: 0)

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice
  • About The Project

    The vision of the MediaPortal project is to create a free open source media centre application, which supports all advanced media centre functions, and is accessible to all Windows users.

    In reaching this goal we are working every day to make sure our software is one of the best.

             

  • Support MediaPortal!

    The team works very hard to make sure the community is running the best HTPC-software. We give away MediaPortal for free but hosting and software is not for us.

    Care to support our work with a few bucks? We'd really appreciate it!